БАЛАБОЛКА :: История изменений

11.10.2016     v2.11.0.610

  - Исправлено извлечение текста из файлов формата MHTML.


01.10.2016     v2.11.0.609

  + Добавлена поддержка украинского языка в окно "Google Text-To-Speech".
  + Небольшие улучшения.


25.08.2016     v2.11.0.608

  + Реализована обработка ситуации, когда во время работы программы сменилось аудиоустройство
    для вывода звука.
  * Обновлены португальские языковые ресурсы (спасибо Felipe Porciuncula Zanabria).


07.08.2016     v2.11.0.607

  - Исправлены мелкие ошибки.
  * Обновлены болгарские, испанские и французские языковые ресурсы (спасибо Костадину Колеву,
    Fernando Gregoire и Michel Such).


30.07.2016     v2.11.0.606

  + Добавлен пункт главного меню "Читать все открытые документы". Если настройка активна,
    программа будет читать все открытые документы один за другим.
  + Небольшие улучшения.
  * Изменен порядок пунктов главного меню. Добавлено подменю "Голос".
  * Обновлены венгерские языковые ресурсы (спасибо Zoltan Magyar).


16.07.2016     v2.11.0.605

  + Небольшие улучшения.
  - Исправлено извлечение текста из файлов форматов DOCX и ODT.
  * Обновлены словенские языковые ресурсы (спасибо Йожефу Грегорцу).


02.06.2016     v2.11.0.604

  + Добавлена возможность использования переменной %FirstLine% в шаблоне для имени файла
    в окне "Разделить текст на части и преобразовать в аудиофайлы". При преобразовании
    документа в несколько звуковых файлов переменная будет заменяться первой строкой текста.
  + Небольшие улучшения.
  * Обновлены арабские, болгарские, испанские, китайские, португальские, словенские и
    французские языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, 
    Felipe Porciuncula Zanabria, Анану, Йожефу Грегорцу и Michel Such).


28.05.2016     v2.11.0.603

  + Добавлена возможность остановки чтения вслух с помощью щелчка левой кнопкой мыши.
  + Добавлены пункты главного меню "Перейти к следующему предложению" и "Перейти к
    предыдущему предложению".
  + Добавлены пункты меню "Перейти к следующему предложению" и "Перейти к предыдущему
    предложению" в окно "Читать по методу Spritz".
  - Удалены пункты главного меню "Перейти к следующей строке" и "Перейти к
    предыдущей строке".


21.05.2016     v2.11.0.602

  + Небольшие улучшения.
  * Обновлены испанские и турецкие языковые ресурсы (спасибо Fernando Gregoire и
    Cagri Dogan).


23.04.2016     v2.11.0.601

  + Добавлена поддержка регулярных выражений для пунктов меню "Найти" и "Заменить"
    (см. раздел файла справки "Часто задаваемые вопросы").
  - Исправлена ошибка в "тихой установке" приложения (когда используется ключ 
    "-silent" в командной строке).
  * Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и
    Fernando Gregoire).


12.03.2016     v2.11.0.600

  + В диалоговое окно "Открыть" добавлена возможность использования URL
    (ссылки на ресурсы в Интернете можно напрямую вставлять в программу).
  + Небольшие улучшения.
  - Исправлено извлечение текста из файлов формата HTML.
  * Обновлены болгарские и испанские языковые ресурсы (спасибо Костадину Колеву и
    Fernando Gregoire).


02.03.2016     v2.11.0.599

  + Добавлена настройка "Сохранить как несколько аудиофайлов" в окно
    "Преобразовать в аудиофайлы".
  + Небольшие улучшения.
  * Обновлены испанские и немецкие языковые ресурсы (спасибо Fernando Gregoire и
    Регине Мюллер).


25.02.2016     v2.11.0.598

  * Google Text-To-Speech используется вновь.


23.02.2016     v2.11.0.597

  * Вместо Google Text-To-Speech используются другие online-сервисы.
  * Обновлены китайские языковые ресурсы (спасибо Анану).


14.02.2016     v2.11.0.596

  * Улучшено распознавание кодировки символов для текстовых файлов.
  * Вместо сервиса Microsoft Translator используется сервис Google Translate.


16.01.2016     v2.11.0.595

  - Исправлены мелкие ошибки.
  * Улучшено извлечение текста из файлов формата PDF.


03.01.2016     v2.11.0.594

  - Исправлено извлечение текста из файлов формата HTML.
  * Обновлены арабские и словенские языковые ресурсы (спасибо Маджиду аль-Асири
    и Йожефу Грегорцу).


05.12.2015     v2.11.0.593

  + Добавлены языковые ресурсы для каталанского языка (спасибо Hiro5).
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


28.11.2015     v2.11.0.592

  + Добавлена настройка "Создать подкаталог" в окно "Сохранить как несколько
    аудиофайлов".
  + Небольшие улучшения.


06.11.2015     v2.11.0.591

  - Исправлены мелкие ошибки.


31.10.2015     v2.11.0.590

  - Исправлены мелкие ошибки.
  * Вместо сервиса Google Translate используется сервис Microsoft Translator.
    Памятка для менеджеров Google: "Корень всего злого - любовь к деньгам".


11.10.2015     v2.11.0.589

  - Исправлены мелкие ошибки.
  * Обновлены венгерские и турецкие языковые ресурсы (спасибо Zoltan Magyar
    и Cagri Dogan).


20.09.2015     v2.11.0.588

  - Исправлена утилита для просмотра графических изображений.
  * Поменялись местами пункты главного меню "Перейти к следующему абзацу" и
    "Перейти к предыдущему абзацу", "Перейти к предыдущей строке" и 
    "Перейти к следующей строке".
  * Обновлены испанские языковые ресурсы (спасибо Fernando Gregoire).


08.08.2015     v2.11.0.587

  - Исправлен доступ к сервису Google TTS.


06.08.2015     v2.11.0.586

  - Исправлено извлечение текста из файлов формата EPUB.
  * Обновлены словенские и французские языковые ресурсы (спасибо
    Йожефу Грегорцу и Michel Such).


28.07.2015     v2.11.0.585

  - Исправлен доступ к сервису Google Translate.
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


20.07.2015     v2.11.0.584

  + Добавлены пункты главного меню "Добавить текущую строку как закладку"
    и "Создать оглавление".
  * Обновлен метод деления текста на части: если задан размер частей текста,
    это значение будет использовано как верхний предел, а не как целевое значение.
    Текст будет поделен на части одинакового размера.
  * Обновлены испанские и немецкие языковые ресурсы (спасибо Fernando Gregoire и
    Регине Мюллер).


05.07.2015     v2.11.0.583

  - Исправлены мелкие ошибки.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.06.2015     v2.11.0.582

  - Исправлены мелкие ошибки.
  * Обновлены французские языковые ресурсы (спасибо Michel Such).


07.06.2015     v2.11.0.581

  + Добавлен пункт главного меню "Найти предыдущее".
  + Небольшие улучшения.
  - Удален пункт главного меню "Лупа".
  * Обновлено применение правил из словарей формата REX.
  * Набор тем оформления полностью обновлен (старые "шкурки" не будут правильно
    отображаться в Windows 10).
  * Обновлены болгарские, словенские и украинские языковые ресурсы (спасибо
    Костадину Колеву, Йожефу Грегорцу и Евгению Мирошниченко).


11.05.2015     v2.10.0.580

  - Исправлены мелкие ошибки.
  + Добавлена возможность запрета запуска нескольких копий программы одновременно.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


12.04.2015     v2.10.0.579

  + Добавлено удаление мягких переносов в форматирование текста.


30.03.2015     v2.10.0.578

  - Исправлены мелкие ошибки.
  * Обновлены языковые ресурсы для персидского языка (спасибо Махмуду Тахгави-Шахри).


10.01.2015     v2.10.0.577

  - Исправлены мелкие ошибки.
  + Добавлены языковые ресурсы для персидского языка (спасибо Махмуду Тахгави-Шахри).
  + Добавлены языковые ресурсы для словенского языка (спасибо Йожефу Грегорцу).
  * Обновлены языковые ресурсы для хорватского языка (спасибо Гордану Радичу).


14.12.2014     v2.10.0.576

  - Исправлены мелкие ошибки.
  * Обновлены арабские и турецкие языковые ресурсы (спасибо Маджиду аль-Асири
    и Cagri Dogan).


11.10.2014     v2.10.0.575

  - Исправлены мелкие ошибки.
  * Обновлены болгарские, испанские и французские языковые ресурсы (спасибо
    Костадину Колеву, Fernando Gregoire и Michel Such).


27.09.2014     v2.10.0.574

  - Исправлено извлечение текста из файлов формата CHM.
  + Небольшие улучшения.
  * Обновлены румынские языковые ресурсы (спасибо Alexandru Bogdan Munteanu).


30.08.2014     v2.10.0.573

  + Небольшие улучшения.
  * Обновлены венгерские языковые ресурсы (спасибо Zoltan Magyar).


20.07.2014     v2.10.0.572

  + Добавлена поддержка новых языков для чтения по методу Spritz.
  * Обновлены украинские и французские языковые ресурсы (спасибо
    Евгению Мирошниченко и Michel Such).


13.07.2014     v2.10.0.571

  * Максимальная скорость чтения по методу Spritz была увеличена до 1000 слов в минуту.
  * Обновлены турецкие языковые ресурсы (спасибо Cagri Dogan).


04.06.2014     v2.10.0.570

  - Исправлена ошибка в использовании глобальных сочетаний клавиш.
  * Обновлены болгарские и испанские языковые ресурсы (спасибо
    Костадину Колеву и Fernando Gregoire).


24.05.2014     v2.10.0.569

  + Добавлена кнопка "Удалить вместе с текстом" в окно "Перейти по именованной
    закладке".
  * Чтение по методу Spritz было улучшено.
  * Обновлены болгарские, испанские и французские языковые ресурсы (спасибо
    Костадину Колеву, Fernando Gregoire и Michel Such).


18.05.2014     v2.10.0.568

  + Добавлена поддержка технологии Spritz для скорочтения.
  * Обновлены испанские, немецкие и румынские языковые ресурсы (спасибо
    Fernando Gregoire, Регине Мюллер и Alexandru Bogdan Munteanu).


08.04.2014     v2.9.0.567

  - Исправлены мелкие ошибки.
  + Добавлен испанский файл справки (спасибо Fernando Gregoire).


29.03.2014     v2.9.0.566

  + Небольшие улучшения.
  * Обновлены болгарские, испанские и французские языковые ресурсы (спасибо
    Костадину Колеву, Fernando Gregoire и Michel Such).


22.02.2014     v2.9.0.565

  + Добавлен пункт "Редактировать в Блокноте" в контекстное меню панели словарей.
  + Добавлены языковые ресурсы для хорватского языка (спасибо Гордану Радичу).
  * Обновлены сербские языковые ресурсы (спасибо Александру Дуричу).


26.01.2014     v2.9.0.564

  + Оглавление файла импортируется как список именованных закладок (для файлов формата FB2).
    Функция будет работать, если в окне "Установки" не стоит "галочка" в пункте
    "Форматировать текст после открытия файла".
  - Исправлено извлечение текста из файлов формата EPUB.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


19.01.2014     v2.9.0.563

  + Небольшие улучшения.
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


03.01.2014     v2.9.0.562

  + Небольшие улучшения.
  * Обновлены украинские и французские языковые ресурсы (спасибо
    Евгению Мирошниченко и Michel Such).


01.12.2013     v2.9.0.561

  + Улучшено извлечение текста из файлов формата DOCX и ODT: добавлено извлечение
    сносок и концевых сносок.
  - Исправлены мелкие ошибки.
  * Обновлены итальянские и румынские языковые ресурсы (спасибо Фабио Боккалетти
    и Alexandru Bogdan Munteanu).


02.11.2013     v2.9.0.560

  * Обновлена панель настроек голоса.
  - Исправлены мелкие ошибки.
  * Обновлены немецкие, украинские, турецкие и французские языковые ресурсы
    (спасибо Регине Мюллер, Евгению Мирошниченко, Cagri Dogan и Любови Тюриной).


20.10.2013     v2.8.0.559

  + Добавлены настройки прокси-сервера для Google Translate и Google TTS.
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


06.10.2013     v2.8.0.558

  + Добавлен пункт главного меню "Сайт программы".
  - Исправлены мелкие ошибки.


25.08.2013     v2.8.0.557

  + Небольшие улучшения.
  * Обновлены итальянские и румынские языковые ресурсы (спасибо Фабио Боккалетти
    и Alexandru Bogdan Munteanu).


18.08.2013     v2.8.0.556

  + Добавлена возможность получения данных из STDIN при использовании внешних
    программ для извлечения текста.
  - Библиотека DELZIP190.DLL не используется.


14.08.2013     v2.8.0.555

  * Изменено окно "Список ошибок правописания".
  * Обновлен способ извлечения текста из файлов формата PDF.


03.08.2013     v2.8.0.554

  - Исправлено извлечение текста из файлов форматов EPUB и PDF.


30.07.2013     v2.8.0.553

  * Обновлено преобразование субтитров в звуковые файлы.
  * Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


28.07.2013     v2.8.0.552

  * Обновлен способ извлечения текста из файлов формата PDF.
  * Обновлены болгарские и французские языковые ресурсы (спасибо
    Костадину Колеву и Michel Such).


21.07.2013     v2.8.0.551

  + Добавлен пункт главного меню "Преобразовать субтитры".
    Программа преобразует текстовые файлы с субтитрами в звуковые
    файлы. Поддерживаются форматы субтитров SRT, SSA/ASS и SMI.
  * Обновлены болгарские, немецкие, турецкие и французские языковые ресурсы
    (спасибо Костадину Колеву, Регине Мюллер, Cagri Dogan и Michel Such).


07.07.2013     v2.7.0.550

  + Добавлен пункт главного меню "Импорт текста". В новое окно перенесены
    настройки из окна "Установки" (закладка "Файлы"), а также добавлена
    возможность задания способа использования внешних программ для работы
    с теми форматами документов, которые "Балаболка" не поддерживает.
  * Обновлены болгарские и немецкие языковые ресурсы (спасибо Костадину Колеву
    и Регине Мюллер).


21.06.2013     v2.7.0.549

  + Небольшие улучшения.
  * Обновлены итальянские и румынские языковые ресурсы (спасибо
    Фабио Боккалетти и Alexandru Bogdan Munteanu).


02.06.2013     v2.7.0.548

  + Добавлена возможность создания нового документа двойным щелчком
    левой кнопки мыши на пустой области справа от заголовков закладок.
  + Добавлена возможность закрытия документа щелчком средней кнопки мыши
    на заголовке закладки.
  - Исправлены мелкие ошибки.
  * Обновлены болгарские, украинские и французские языковые ресурсы
    (спасибо Костадину Колеву, Евгению Мирошниченко и Michel Such).


25.05.2013     v2.7.0.547

  + Добавлена опция "Никогда не предлагать сохранить измененный текст"
    (окно "Установки", закладка "Текст").
  * Обновлены болгарские, польские, португальские, турецкие и украинские
    языковые ресурсы (спасибо Костадину Колеву, Збигневу Стржельчику,
    Тьяго Нонато, Cagri Dogan и Евгению Мирошниченко).


01.05.2013     v2.7.0.546

  + Добавлена настройка "Открыть папку в "Проводнике" Windows, когда
    сохранение аудиофайла завершено" в окно "Аудиофайлы".
  + Небольшие улучшения.
  * Обновлены болгарские, немецкие, турецкие и французские языковые ресурсы
    (спасибо Костадину Колеву, Регине Мюллер, Cagri Dogan и Michel Such).


14.04.2013     v2.7.0.545

  + Добавлены пункты главного меню "Увеличить размер шрифта" и
    "Уменьшить размер шрифта".
  + Небольшие улучшения.
  * Обновлены корейские языковые ресурсы (спасибо Choi Youn-Soo).


06.04.2013     v2.7.0.544

  + Небольшие улучшения.
  * Обновлены болгарские, итальянские, румынские, украинские и французские
    языковые ресурсы (спасибо Костадину Колеву, Фабио Боккалетти, Alexandru
    Bogdan Munteanu, Евгению Мирошниченко и Michel Such).


24.03.2013     v2.7.0.543

  + Добавлены опции "Вставить паузу" и "Вставить аудиоклип" (окно "Установки",
    закладка "Паузы").
  * Кнопка "Аудио" на панели параметров голоса заменена пунктом главного
    меню "Настройки | Выбор аудиоустройства".
  * Закладка "Кнопки" в окне "Установки" была преобразована в новое окно
    "Кнопки".
  * Обновлены арабские, болгарские, немецкие и французские языковые ресурсы
    (спасибо Маджиду аль-Асири, Костадину Колеву, Регине Мюллер и Michel Such).


17.03.2013     v2.6.0.542

  + Добавлены пункты главного меню "Перейти к следующей строке" и "Перейти к
    предыдущей строке".
  + Добавлен список французских омографов (спасибо Michel Such).
  * Обновлены турецкие и французские языковые ресурсы (спасибо Cagri Dogan и
    Michel Such).


12.03.2013     v2.6.0.541

  + Небольшие улучшения.
  * Обновлены болгарские, итальянские и немецкие языковые ресурсы (спасибо
    Костадину Колеву, Фабио Боккалетти и Регине Мюллер).


03.03.2013     v2.6.0.540

  + Утилита для извлечения текста доступна для скачивания на сайте программы.
  + Добавлена поддержка формата Kindle Format 8 (*.AZW3).
  + Добавлены языковые ресурсы для греческого языка (спасибо Wasilis Mandratzis).
  * Обновлены болгарские и немецкие языковые ресурсы (спасибо
    Костадину Колеву и Регине Мюллер).


26.02.2013     v2.6.0.539

  + Консольное приложение доступно для скачивания на сайте программы.
  + Небольшие улучшения.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


10.02.2013     v2.6.0.538

  - Исправлены мелкие ошибки.
  * Обновлены польские, румынские, турецкие и украинские языковые ресурсы
    (спасибо Збигневу Стржельчику, Alexandru Bogdan Munteanu, Cagri Dogan и
    Евгению Мирошниченко).


20.01.2013     v2.6.0.537

  - Исправлены мелкие ошибки.
  * Обновлены болгарские, итальянские и французские языковые ресурсы (спасибо
    Костадину Колеву, Фабио Боккалетти и Michel Such).


08.01.2013     v2.6.0.536

  + Добавлены глобальные сочетания клавиш "Вставить текст из буфера обмена"
    и "Выбрать голос".
  + Добавлены языковые ресурсы для сербского языка (спасибо Ozzii).
  * Обновлены немецкие и украинские языковые ресурсы (спасибо Регине Мюллер
    и Евгению Мирошниченко).


13.12.2012     v2.6.0.535

  - Исправлена проблема с использованием "шкурок" (спасибо Гарри Дженнингсу).
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


12.12.2012     v2.6.0.534

  + Добавлена возможность использования других аудиокодеков (окно "Аудиофайлы",
    закладка "Настройки/Другие кодеки").
  + Добавлена возможность установки программы в автоматическом режиме без показа диалогов
    ("тихая установка"). Для этого необходимо использовать ключ "-silent" в командной строке.
  + Добавлены новые настройки в "Слежение за буфером обмена Windows".
  - Исправлены мелкие ошибки.
  * Улучшена поддержка Windows 7/8.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


11.11.2012     v2.5.0.533

  - Исправлено извлечение текста из файлов формата EPUB (спасибо Джулиано Артико).
  - Исправлены мелкие ошибки.


22.10.2012     v2.5.0.532

  - Исправлены мелкие ошибки.
  * Обновлены японские языковые ресурсы (спасибо Ольге Чебышевой).


22.09.2012     v2.5.0.531

  - Исправлена проблема с Windows Media Audio (спасибо Николаю Пономареву).
  - Исправлена проблема с системами проверки орфографии (спасибо Герману Гарсии).


08.09.2012     v2.5.0.530

  - Исправлены мелкие ошибки.
  * Обновлены польские и португальские языковые ресурсы (спасибо Тьяго Нонато и
    Збигневу Стржельчику).


26.08.2012     v2.5.0.529

  - Исправлены мелкие ошибки.
  * Обновлены сербские языковые ресурсы (спасибо Райко Томичу).


20.08.2012     v2.5.0.528

  + Добавлены языковые ресурсы для сербского языка (спасибо Райко Томичу).
  * Обновлены арабские, болгарские, итальянские, румынские, украинские и французские
    языковые ресурсы (спасибо Маджиду аль-Асири, Костадину Колеву, Фабио Боккалетти,
    Alexandru Bogdan Munteanu, Евгению Мирошниченко и Michel Such).


12.08.2012     v2.5.0.527

  - Исправлены мелкие ошибки.
  * Обновлены арабские, болгарские, турецкие, украинские и японские языковые ресурсы
    (спасибо Маджиду аль-Асири, Костадину Колеву, Cagri Dogan, Евгению Мирошниченко
    и Ольге Чебышевой).


24.06.2012     v2.5.0.526

  + Добавлен пункт "Слежение за буфером обмена Windows" в окно "Установки"
    (закладка "Буфер обмена").
  + Небольшие улучшения.
  * Обновлены итальянские, немецкие и румынские языковые ресурсы (спасибо
    Фабио Боккалетти, Регине Мюллер и Alexandru Bogdan Munteanu).


06.05.2012     v2.5.0.525

  + Небольшие улучшения.
  * Обновлен французский файл справки (спасибо Любови Тюриной).
  * Обновлены японские языковые ресурсы (спасибо Ольге Чебышевой).


29.04.2012     v2.5.0.524

  + Главное окно программы и маленькое "плавающее" окно "прилипают" к границам экрана
    или границам других окон при перемещении.
  * Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


24.04.2012     v2.5.0.523

  - "Быстрый" метод применения правил коррекции произношения больше не используется.
  - Исправлены мелкие ошибки.
  * Обновлены болгарские, корейские, немецкие и французские языковые ресурсы
    (спасибо Костадину Колеву, Choi Youn-Soo, Регине Мюллер и Michel Such).


21.04.2012     v2.5.0.522

  + Добавлен пункт главного меню "Сохранить аудиофайл (Google TTS)".
    Программа сохраняет текст в виде аудиофайла при помощи сервиса синтеза речи
    на сервере Google. Доступны голоса для более чем 30 языков.
  + Небольшие улучшения.
  + Добавлены языковые ресурсы для финского языка (спасибо Вейкко Муурикайнену).
  * Обновлены итальянские языковые ресурсы (спасибо Фабио Боккалетти).


08.04.2012     v2.4.0.521

  + Добавлено чтение электронных книг Microsoft Reader (*.LIT).
  * Обновлены болгарские и французские языковые ресурсы (спасибо Костадину Колеву
    и Michel Such).


31.03.2012     v2.4.0.520

  + Небольшие улучшения.
  * Обновлены арабские, немецкие, португальские и румынские языковые ресурсы (спасибо
    Маджиду аль-Асири, Регине Мюллер, Тьяго Нонато и Alexandru Bogdan Munteanu).


25.03.2012     v2.4.0.519

  + Небольшие улучшения.
  * Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


20.03.2012     v2.4.0.518

  + Добавлено чтение электронных книг Mobipocket/Kindle (*.AZW, *.MOBI, *.PRC).
  * Внесены изменения в "быстрый" метод применения правил коррекции произношения.
  * Файлы справки хранятся в папке "Help", а не в корневом каталоге программы.
  * Обновлены немецкие и французские языковые ресурсы (спасибо Регине Мюллер и
    Michel Such).


04.03.2012     v2.3.0.517

  + Небольшие улучшения.
  - Исправлены мелкие ошибки.


08.01.2012     v2.3.0.516

  - Исправлены мелкие ошибки.
  * Обновлены арабские и немецкие языковые ресурсы (спасибо Маджиду аль-Асири и
    Регине Мюллер).


25.12.2011     v2.3.0.515

  + Добавлено использование специальных кодов в окнах "Найти" и "Заменить" (тех же кодов,
    что и в Microsoft Word).
  * Обновлены итальянские языковые ресурсы (спасибо Фабио Боккалетти).


11.12.2011     v2.3.0.514

  + Добавлены языковые ресурсы для турецкого языка (спасибо Cagri Dogan).


26.11.2011     v2.3.0.513

  + Добавлена кнопка "Разделить" в окно "Сохранить как несколько аудиофайлов".
  + Небольшие улучшения.
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


06.11.2011     v2.3.0.512

  + Добавлено создание плей-листов для звуковых файлов (окно "Аудиофайлы", закладка
    "Плей-лист"). Поддерживаются форматы M3U, PLS, WPL и XSPF.
  * Обновлены немецкие и украинские языковые ресурсы (спасибо Регине Мюллер и
    Евгению Мирошниченко).


30.10.2011     v2.3.0.511

  - Исправлены мелкие ошибки.
  * Обновлены китайские языковые ресурсы (спасибо Yupeng).


22.10.2011     v2.3.0.510

  + Добавлена поддержка Microsoft Speech Platform:
    http://msdn.microsoft.com/en-us/library/hh361572.aspx
    Текущая версия Speech Platform содержит бесплатные голоса для 26 языков (в том числе
    русский голос "Елена"). Хотя на сайте Microsoft заявлена поддержка только лишь
    операционных систем Windows Vista и Windows 7, голоса для европейских языков будут
    работать и в Windows XP.
    Загрузите и установите Speech Platform Runtime:
    http://www.microsoft.com/download/en/details.aspx?id=27225
    Загрузите и установите необходимые голоса (файлы, чьи имена начинаются с "MSSpeech_TTS_"):
    http://www.microsoft.com/download/en/details.aspx?id=27224
    Установленные голоса будут доступны на закладке "Microsoft Speech Platform" в главном
    окне программы.
  - Прекращена поддержка версии 1.xx программы "Балаболка".
  * Обновлены болгарские, итальянские, корейские, немецкие и украинские языковые ресурсы
    (спасибо Костадину Колеву, Фабио Боккалетти, Choi Youn-Soo, Регине Мюллер и
    Евгению Мирошниченко).


16.10.2011     v2.2.0.509

  + Добавлен пункт "Использовать голос, заданный в панели управления Windows"
    в окно "Установки" (закладка "Голос").
  - Исправлены мелкие ошибки.
  * Обновлены немецкие и французские языковые ресурсы (спасибо Регине Мюллер и
    Michel Such).


02.10.2011     v2.2.0.508

  * Окно "Перевести" было обновлено. Google Translate API больше не используется в
    программе (так как он станет платным с 1 декабря 2011 года). Теперь программа
    обращается к сервису Google Translate напрямую.
  - Исправлены мелкие ошибки.
  * Обновлены болгарские, румынские и украинские языковые ресурсы (спасибо
    Костадину Колеву, Alexandru Bogdan Munteanu и Евгению Мирошниченко).


11.09.2011     v2.2.0.507

  + Добавлены новые настройки в окна "Таймер" и "Извлечь текст из файлов".
  + Небольшие улучшения.
  * Обновился текст лицензионного соглашения.
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


28.08.2011     v2.2.0.506

  + Небольшие улучшения.
  * Обновлены португальские языковые ресурсы (спасибо Тьяго Нонато).


08.08.2011     v2.2.0.505

  + Небольшие улучшения.
  + Добавлены языковые ресурсы для японского языка (спасибо Игорю Сергееву и Мисе Цуруми).
  * Внесены изменения в "быстрый" метод применения правил коррекции произношения.


03.07.2011     v2.2.0.504

  - Исправлены мелкие ошибки.


24.05.2011     v2.2.0.503

  - Исправлено извлечение текста из файлов формата EPUB.
  - Исправлены мелкие ошибки.
  * Обновлены китайские и польские языковые ресурсы (спасибо Yupeng и Збигневу
    Стржельчику).


02.05.2011     v2.2.0.502

  + Улучшено извлечение текста из файлов форматов HTML и MHT.
  + Улучшена поддержка системы проверки орфографии Hunspell.
  + Добавлены языковые ресурсы для арабского языка (спасибо Маджиду аль-Асири).
  * Обновлены корейские языковые ресурсы (спасибо Choi Youn-Soo).


26.04.2011     v2.2.0.501

  - Исправлены мелкие ошибки.
  * Обновлены болгарские, итальянские и украинские языковые ресурсы (спасибо
    Костадину Колеву, Фабио Боккалетти и Евгению Мирошниченко).


10.04.2011     v2.2.0.500

  + Добавлен пункт главного меню "Прямая речь". С его помощью можно вставить в текст
    теги для смены речевого движка при чтении диалогов. Только для SAPI 5.
  * Обновлены китайские, немецкие и чешские языковые ресурсы (спасибо CMHDREAM, 
    Регине Мюллер и Станиславу Томеку).


27.03.2011     v2.2.0.499

  - Внесены исправления в "быстрый" метод применения правил коррекции произношения.
  - Исправлены мелкие ошибки.
  * Обновлены украинские языковые ресурсы (спасибо Евгению Мирошниченко).


20.03.2011     v2.2.0.498

  + Добавлен регулятор тембра на панель настроек голоса (закладка "SAPI 5").
  + Добавлены языковые ресурсы для вьетнамского языка (спасибо Missfly82-AIO).
  - Исправлены мелкие ошибки.


12.03.2011     v2.2.0.497

  + Добавлены глобальные сочетания клавиш "Перейти к следующему абзацу" и "Перейти к
    предыдущему абзацу".
  - Исправлены мелкие ошибки.
  * Обновлены болгарские языковые ресурсы (спасибо Костадину Колеву).


26.02.2011     v2.2.0.496

  + Добавлен раздел "Фонетические алфавиты" в файл справки.
  + Небольшие улучшения.
  * Обновлены итальянские, немецкие, португальские и украинские языковые ресурсы (спасибо
    Фабио Боккалетти, Регине Мюллер, Тьяго Нонато и Евгению Мирошниченко).


20.02.2011     v2.2.0.495

  + Добавлено чтение файлов в формате DjVu; программа извлекает содержимое текстового
    (OCR) слоя.
  - Убрана настройка "Скорость записи в файл" (SAPI 4) из окна "Аудиофайлы".
  - Исправлены мелкие ошибки.
  * Обновлены болгарские, итальянские, корейские, румынские и французские языковые ресурсы
    (спасибо Костадину Колеву, Фабио Боккалетти, Choi Youn-Soo, Alexandru Bogdan Munteanu
    и Michel Such).


12.02.2011     v2.2.0.494

  + Добавлено чтение файлов в формате Compiled HTML Help (с расширением CHM).
  + Оглавление файла импортируется как список именованных закладок (для форматов файлов
    CHM и EPUB). Функция будет работать, если в окне "Установки" не стоит "галочка"
    в пункте "Форматировать текст после открытия файла".
  * Обновлено извлечение текста из файлов форматов EPUB и HTML.
  - Исправлено чтение файлов формата FB2.
  + Добавлена кнопка "Цвет текста" в окно "Шрифт и цвета".
  + Добавлена настройка "Кодировка сохраняемого файла" в окно "Разбить файл на части".
  + Небольшие улучшения.
  * Библиотеки для разархивирования и файл "viewer.exe" хранятся в подкаталоге "utils".
  * Обновлены болгарские, корейские, немецкие и украинские языковые ресурсы (спасибо 
    Костадину Колеву, Choi Youn-Soo, Регине Мюллер и Евгению Мирошниченко).


06.02.2011     v2.1.0.493

  * Обновлено извлечение текста из файлов форматов DOC, DOCX, EPUB, ODT.
  + Добавлен пункт главного меню "Правка | Изменить выделенное | Озаглавить все строки"
    (для стихотворений).
  * Обновлены немецкие языковые ресурсы (спасибо Регине Мюллер).


30.01.2011     v2.1.0.492

  + Словарь омографов может быть сохранен как DIC-файл (кнопка "Сохранить как" в
    редакторе словаря омографов).
  * При чтении вслух выделенного фрагмента текста выделение не исчезает.
  + Добавлена закладка "Искать" в файлы справки (для совместимости с программами экранного
    доступа).
  + Небольшие улучшения.
  * Обновлены болгарские, итальянские, польские и украинские языковые ресурсы (спасибо
    Костадину Колеву, Фабио Боккалетти, Збигневу Стржельчику и Евгению Мирошниченко).


23.01.2011     v2.1.0.491

  + Добавлен корейский файл справки (спасибо Choi Youn-Soo).
  - Исправлены ошибки в применения правил коррекции произношения.
  * Обновлены болгарские, корейские и украинские языковые ресурсы (спасибо
    Костадину Колеву, Choi Youn-Soo и Евгению Мирошниченко).


16.01.2011     v2.1.0.490

  + Добавлен французский файл справки (спасибо Любови Тюриной).
  + Добавлены опции "Показывать все слова" и "Не показывать слова из текстового файла"
    в окно "Найти имена в тексте".
  * Обновлены болгарские, корейские, немецкие, португальские, румынские, украинские и
    чешские языковые ресурсы (спасибо Костадину Колеву, Choi Youn-Soo, Регине Мюллер,
    Тьяго Нонато, Alexandru Bogdan Munteanu, Евгению Мирошниченко и Станиславу Томеку).


06.01.2011     v2.1.0.489

  + Добавлен пункт главного меню "Аудиоклип". Он позволяет вставить в текст ссылку на
    внешний звуковой файл:
      {{Audio=c:\Sounds\ring.mp3}}
    Поддерживаемые форматы: WAV, MP3, OGG. Во время чтения вслух программа будет
    приостанавливать процесс чтения, воспроизводить аудиоклип, а затем продолжать чтение.
    При записи речи в файл программа вставит аудиоданные из внешнего звукового файла
    внутрь нового файла.
  * Расширение файла 'INI' будет автоматически заменено на 'REX' для словарей коррекции
    произношения.
  + Для добавления номеров блоков (файлов) в начало и в конец аудиофайлов может
    использоваться переменная %default%. Она означает текст по умолчанию в зависимости
    от языка текущего синтезатора речи (для русских голосов это будет 'Блок %d.' и
    'Конец блока %d.').
  + Небольшие улучшения.
  * Обновлены итальянские, немецкие и украинские языковые ресурсы (спасибо Фабио Боккалетти,
    Регине Мюллер и Евгению Мирошниченко).


20.12.2010     v2.0.0.488

  - Исправлены мелкие ошибки.
  * Обновлены болгарские, корейские и украинские языковые ресурсы (спасибо Костадину Колеву,
    Choi Youn-Soo и Евгению Мирошниченко).


19.12.2010     v2.0.0.487

  + Окно "Перевести" было улучшено.
  + Добавлена возможность чтения текста с начала абзаца (окно "Настройки", закладка "Общие").
    Чтение текста также может осуществляться с позиции курсора или начала документа.
  + Небольшие улучшения.
  - Из списка голосов SAPI 4 автоматически удаляются голоса фирмы Loquendo с именами
    "Olga 8000" и "Ludoviko 8000". Выбор этих голосов из списка приводил к сбою в работе
    программы.
  * Обновлены китайские языковые ресурсы (спасибо Yupeng).


12.12.2010     v2.0.0.486

  + Выпущена версия 2.0.
  + Улучшена поддержка системы проверки орфографии Hunspell.
  * Обновлены болгарские, итальянские, корейские, польские и украинские языковые ресурсы
    (спасибо Костадину Колеву, Фабио Боккалетти, Choi Youn-Soo, Збигневу Стржельчику и
    Евгению Мирошниченко).

###